@charset "UTF-8";

:root {
  --background-color: #FFFFFF;
  --background-alpha-color: #FFFFFF70;
  --surface-primary-color: #F5F5F5;
  --surface-secondary-color: #E4E4E4;
  --text-primary-color: #212225;
  --text-secondary-color: #4E4E4F;
  --content-primary-color: #212225;
  --content-inverse-color: #FFFFFF;
  --content-support-color: #B6B6B6;
  --content-primary-alpha-color: #21222570;
  --border-primary-color: #E4E4E4;
  --border-secondary-color: #B6B6B6;
  --border-tertiary-color: #EFEFEF;
  --gradient-color1: #00FFB235;
  --gradient-color2: #00FF1A35;
  --subtitle-weight: 700;
  --title-weight: 600;
  --font-family: Archivo;
  --font-size-caption: 10px;
  --font-size-xsmall: 12px;
  --font-size-small: 14px;
  --font-size-default: 16px;
  --font-size-large: 18px;
  --font-size-xlarge: 20px;
  --font-size-xxlarge: 22px;
  --font-size-huge: 26px;
  --font-size-display: 38px;
  --border-radius-small: 4px;
  --border-radius-default: 8px;
  --border-radius-medium: 12px;
  --border-radius-large: 16px;
  --border-radius-pill: 500px;
}

body.dark-theme {
  --background-color: #1A1A1C;
  --background-alpha-color: #1A1A1CC9;
  --surface-primary-color: #242427;
  --surface-secondary-color: #37373C;
  --text-primary-color: #FFFFFF;
  --text-secondary-color: #DBDBDB;
  --content-primary-color: #FFFFFF;
  --content-inverse-color: #212225;
  --content-support-color: #75757F;
  --content-primary-alpha-color: #FFFFFF60;
  --border-primary-color: #4C4C4C;
  --border-secondary-color: #696969;
  --border-tertiary-color: #3D3E43;
  --gradient-color1: #00FFB212;
  --gradient-color2: #00FF1A12;
  --subtitle-weight: 700;
  --title-weight: 600;
  --font-family: Archivo;
  --font-size-caption: 10px;
  --font-size-xsmall: 12px;
  --font-size-small: 14px;
  --font-size-default: 16px;
  --font-size-large: 18px;
  --font-size-xlarge: 20px;
  --font-size-xxlarge: 22px;
  --font-size-huge: 26px;
  --font-size-display: 38px;
  --border-radius-small: 4px;
  --border-radius-default: 8px;
  --border-radius-medium: 12px;
  --border-radius-large: 16px;
  --border-radius-pill: 500px;
  .slick-dots {filter: invert(100%);}
}

/* specs do body */

html {
  scroll-behavior: smooth;
}

body {
  background-color: var(--background-color);
  scroll-behavior: smooth;
  margin: 0px;
  text-rendering: optimizeLegibility;
  padding: 0px;
}

::-moz-selection { /* Code for Firefox */
  color: #FFFFFF;
  background: #1721E4;
}

::selection {
  color: #FFFFFF;
  background: #1721E4;
}

#container {
  max-width: 970px;
  min-width: 360px;
  margin: 0 auto;
  background-color: var(--background-color);
  transition: filter 0.5s ease-in-out, transform 0.5s ease-in-out;
}

h1 {
  margin-block-start: 0em;
  margin-block-end: 0em;
}

h2 {
  margin-block-start: 0em;
  margin-block-end: 0em;
}

h3 {
  margin-block-start: 0em;
  margin-block-end: 0em;
}

@media only screen and (max-width: 640px){
  header {
    display: flex;
    padding: 24px 20px;
    flex-direction: column;
    align-items: flex-start;
    gap: 20px;
    background-color: var(--surface-primary-color);
    border-radius: 0px 0px 16px 16px;
    margin-bottom: 32px;
  }

  #header-section {
    display: flex;
    padding: 24px 20px;
    flex-direction: column;
    align-items: flex-start;
    gap: 20px;
    background-color: var(--surface-primary-color);
    border-radius: 0px 0px 16px 16px;
    margin-bottom: 32px;
  }

  .cover-header {
    display: flex;
    flex-direction: column;
    height: 160px;
    align-items: flex-end;
    padding: 0px;
  }

  .image-cover-header {
    object-fit: cover;
    background-image: url(./placeholder-img.png);
    width: 100%;
    height: 100%;
  }

  #content-header {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 24px;
    align-self: stretch;
  }

  .theme-button {
    display: flex;
    padding: 8px;
    background-color: var(--surface-secondary-color);
    color: var(--content-support-color);
    border: none;
    border-radius: var(--border-radius-pill);
  }

  .theme-button-2 {
    position: absolute;
    top: 20px;
    right: 20px;
    display: flex;
    padding: 8px;
    background-color: var(--content-primary-alpha-color);
    color: var(--content-inverse-color);
    border: none;
    border-radius: var(--border-radius-pill);
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
    -moz-backdrop-filter: blur(8px);
  }

  #menu-bar {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: 4px;
    background-color: var(--background-alpha-color);
    border-top: 1px solid var(--border-primary-color);
    padding: 4px;
    position: fixed;
    bottom: 0;
    width: 100%;
    box-sizing: border-box;
    backdrop-filter: blur(16px);
    -webkit-backdrop-filter: blur(16px);
    -moz-backdrop-filter: blur(16px);
    transition: transform 0.25s ease-in-out;
    z-index: 10;
  }

  .item-menu-bar {
    display: flex;
    flex-direction: column;
    padding: 6px 4px;
    border-radius: var(--border-radius-small);
    color: var(--text-primary-color);
    gap: 4px;
    align-items: center;
    text-decoration: none;
    flex: 1;
    cursor: pointer;
    transition: 0.25s;
  }

  .item-menu-bar:active {
    box-shadow: inset 0 0 0 1px var(--content-primary-color);
  }

  .item-menu-bar:hover {
    color: var(--content-primary-color);
    box-shadow: inset 0 0 0 1px var(--border-secondary-color);
  }

  #avatar-themetoggle {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: flex-start;
    align-content: stretch;
    width: 100%;
  }

  #avatar-area {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: flex-start;
    align-content: stretch;
    width: 100%;
    transform: translateY(-84px);
    margin-bottom: -84px;
    z-index: 2;
  }

  .avatar {
    width: 84px;
    height: 84px;
    border-radius: var(--border-radius-medium);
    background-image: url(./placeholder-img.png);
  }

  .image-avatar {
    height: 84px;
    width: 84px;
    border-radius: var(--border-radius-medium);
    object-fit: cover;
    object-position: center;
  }

  .text-title {
    color: var(--text-primary-color);
    font-family: var(--font-family);
    font-size: var(--font-size-xlarge);
    font-style: normal;
    font-weight: var(--title-weight);
    line-height: 125%;
  }

  .text-paragraph {
    color: var(--text-primary-color);
    font-family: var(--font-family);
    font-size: var(--font-size-small);
    font-style: normal;
    font-weight: 400;
    line-height: 150%;
    text-wrap: pretty;
  }

  .text-section-title {
    color: var(--text-primary-color);
    font-family: var(--font-family);
    font-size: var(--font-size-large);
    font-style: normal;
    font-weight: var(--subtitle-weight);
    line-height: 125%;
  }

  #imageBanner {
    display: flex;
    border-radius: var(--border-radius-default);
    background-image: url(./placeholder-img.png);
  }

  #cover-video {
    display: flex;
    flex-direction: column;
    border-radius: var(--border-radius-default);
    background-color: var(--content-support-color);
    height: 120px;
  }

  #show-video {
    display: none;
    border-radius: var(--border-radius-default);
    background-color: #000000;

  }

  #playButton {
    display: flex;
    flex-direction: row;
    gap: 6px;
    font-size: var(--font-size-small);
    font-family: var(--font-family);
    font-weight: 600;
    line-height: 150%;
    cursor: pointer;
    color: var(--content-inverse-color);
    background-color: var(--content-primary-alpha-color);
    border: none;
    border-radius: var(--border-radius-pill);
    padding: 8px 16px 8px 10px;
    align-items: center;
    align-self: center;
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
    -moz-backdrop-filter: blur(8px);
    z-index: 2;
    margin-top: 40px;
  }

  #imageWorkSection {
    height: 120px;
    width: 100%;
    border-radius: var(--border-radius-default);
    object-fit: cover;
  }

  #backgroundVideo {
    object-fit: cover;
    position: relative;
    width: 100%;
    height: 120px;
    border-radius: var(--border-radius-default);
    top: -80px;
  }

  #items-work {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 24px;
    padding: 0px 20px;
  }

  .item1-work {
    display: flex;
    padding-bottom: 24px;
    align-items: flex-start;
    align-self: stretch;
    gap: 16px;
    border-bottom: 1px solid;
    border-color: var(--border-tertiary-color);
    animation: fadein linear;
    animation-timeline: view();
    animation-range: entry 0% cover 30%;
  }

  .title-description-item-work {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 8px;
    flex: 1 0 0;
    padding: 0px;
  }

  .item3-work {
    display: flex;
    padding-bottom: 8px;
    align-items: flex-start;
    align-self: stretch;
    gap: 16px;
    animation: fadein linear;
    animation-timeline: view();
    animation-range: entry 0% cover 30%;
  }

  #cardplus-section {
    display: flex;
    animation: fadein linear;
    animation-timeline: view();
    animation-range: entry 0% cover 30%;
  }

  .cardplus {
    display: flex;
    flex-direction: row;
    padding: 0px;
    transition: 250ms;
    cursor: pointer;
    background-color: var(--surface-primary-color);
    border-radius: 8px;
    margin: 0px 20px;
    min-height: 72px;
  }

  .cardplus:active {
    opacity: 0.85;
  }

  .illustration-cardplus {
    width: 80px; 
    border-radius: var(--border-radius-small);
    object-fit: cover;
    margin: 8px 0px 8px 8px;
    background-image: url(placeholder-img.png);
    max-height: 80px;
  }

  .cardplus-description {
    display: flex;
    flex-direction: row;
    border-radius: 0px 8px 8px 0px;
    flex-grow: 1;
    padding: 16px;
    align-items: center;
    gap: 12px;
    justify-content: space-between;
  }

  .modal {
    position: fixed;
    bottom: -100%; /* Inicialmente fora da tela */
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--background-color);
    display: flex;
    justify-content: center;
    align-items: center;
    transition: transform 0.5s ease-in-out;
    z-index: 1000;
  }
  
  .modal.show {
    transform: translateY(-100%); /* Entra na tela */
  }
  
  .modal.hide {
    transform: translateY(100%); /* Sai da tela */
  }
  
  /* Conteúdo da modal */
  .modal-content {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    align-self: stretch;
    padding: 24px 20px 0px 20px;
    gap: 12px;
  }

  .illustration-modal {
    object-fit: cover;
    height: 120px;
    width: 120px;
    border-radius: var(--border-radius-default);
    background-image: url(placeholder-img.png);
  }

  .close-btn {
    position: absolute;
    top: 20px;
    right: 20px;
    background-color: var(--surface-secondary-color);
    color: var(--content-primary-color);
    border: none;
    padding: 10.5px 12px;
    cursor: pointer;
    border-radius: var(--border-radius-pill);
    transition: 350ms;
  }

  .close-btn:hover {
    transform: rotate(90deg);
  }

  .cta-button {
    display: flex;
    padding: 12px 24px;
    align-items: center;
    align-self: stretch;
    gap: 16px;
    border-radius: var(--border-radius-pill);
    border: 1px solid;
    border-color: var(--content-primary-color);
    text-decoration: none;
    justify-content: space-between;
    color: var(--content-primary-color);
    font-family: var(--font-family);
    font-size: var(--font-size-small);
    font-style: normal;
    font-weight: 600;
    line-height: 150%;
    transition: 250ms;
    margin: 0px 20px;
    animation: fadein linear;
    animation-timeline: view();
    animation-range: entry 0% cover 30%;
  }

  #myservices {
    display: flex;
    flex-direction: column;
    gap: 24px;
    padding-bottom: 40px;
  }

  #aboutme-content-section {
    display: flex;
    flex-direction: column;
    padding: 0px 20px;
    animation: fadein linear;
    animation-timeline: view();
    animation-range: entry 0% cover 30%;
  }

  #subtitle-aboutme {
    display: flex;
    flex-direction: column;
    align-items: stretch;
    gap: 16px;
    padding: 0px 20px;
    animation: fadein linear;
    animation-timeline: view();
    animation-range: entry 0% cover 30%;
  }

  #aboutme {
    display: flex;
    flex-direction: column;
    gap: 24px;
  }

  #image-gallery {
    display: flex;
    flex-direction: column;
    animation: fadein linear;
    animation-timeline: view();
    animation-range: entry 0% cover 30%;
  }

  .image-container img {
      width: 100%;
      height: 320px;
      border: none;
      border-radius: var(--border-radius-default);
      object-fit: cover;
      object-position: center;
      background-image: url(placeholder-img.png);
  }

  #card-instagram {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    align-self: stretch;
  }

  .text-caption {
    color: var(--text-secondary-color);
    font-family: var(--font-family);
    font-size: var(--font-size-caption);
    font-style: normal;
    font-weight: 600;
    line-height: 150%;
  }

  .text-paragraph-highlight {
    color: var(--text-primary-color);
    font-family: var(--font-family);
    font-size: var(--font-size-small);
    font-style: normal;
    font-weight: 600;
    line-height: 125%;
  }

  .image-instagram {
    height: 320px;
    width: 100%;
    border-radius: 8px 8px 0px 0px;
    object-fit: cover;
    object-position: top;
    background-image: url(placeholder-img.png);
  }

  #content-aboutme-highlights {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 16px;
    margin-bottom: 32px;
    animation: fadein linear;
    animation-timeline: view();
    animation-range: entry 0% cover 30%;
  }
  
  #testimonials-section {
    display: flex;
    padding: 0px;
    flex-direction: column;
    align-items: flex-start;
    gap: 16px;
    margin-top: 30px;
    animation: fadein linear;
    animation-timeline: view();
    animation-range: entry 0% cover 30%;
  }

  #calltoaction-banner {
    display: flex;
    padding: 24px;
    flex-direction: column;
    align-items: flex-start;
    gap: 24px;
    border-radius: var(--border-radius-large);
    margin: 32px 20px 40px 20px;
    background: linear-gradient(320deg, var(--gradient-color1), var(--gradient-color2));
    transition: transform 150ms ease;
    animation: fadein linear;
    animation-timeline: view();
    animation-range: entry 0% cover 30%;
  }
  
  #questions-section {
    display: flex;
    padding: 0px 20px;
    flex-direction: column;
    align-items: flex-start;
    gap: 16px;
    margin-bottom: 40px;
    animation: fadein linear;
    animation-timeline: view();
    animation-range: entry 0% cover 30%;
  }

  .text-display {
    color: var(--text-primary-color);
    font-family: var(--font-family);
    font-size: var(--font-size-huge);
    font-style: normal;
    font-weight: 700;
    line-height: 115%;
  }

  .text-paragraph-large {
    color: var(--text-primary-color);
    font-family: var(--font-family);
    font-size: var(--font-size-default);
    font-style: normal;
    font-weight: 500;
    line-height: 150%;
  }

  #footer-info {
    display: flex;
    padding: 0px 20px;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    gap: 16px;
    margin-bottom: 96px;
  }

}

@media only screen and (min-width: 641px){
  header {
    display: flex;
    padding: 32px;
    flex-direction: row;
    align-items: flex-start;
    gap: 32px;
    background-color: var(--surface-primary-color);
    border-radius: var(--border-radius-large);
    margin: 20px 20px 32px 20px;
  }

  #header-section {
    display: flex;
    padding: 32px;
    flex-direction: column;
    align-items: flex-start;
    gap: 24px;
    background-color: var(--surface-primary-color);
    border-radius: 0px 0px 12px 12px;
    margin: 0px 20px 32px 20px;
  }

  .cover-header {
    display: flex;
    flex-direction: column;
    height: 240px;
    align-items: flex-end;
    padding: 0px 20px;
    background-clip: border-box;
  }

  .image-cover-header {
    object-fit: cover;
    object-position: center;
    background-image: url(placeholder-img.png);
    width: 100%;
    height: 100%;
  }

  #content-header {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 24px;
    align-self: stretch;
  }

  #avatar-themetoggle {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: flex-start;
    align-content: stretch;
  }

  #avatar-area {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: flex-start;
    align-content: stretch;
    width: 100%;
    transform: translateY(-171px);
    margin-bottom: -171px;
    z-index: 2;
  }

  .theme-button {
    display: none;
  }

  .theme-button-2 {
    display: none;
  }

  #menu-bar {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: 4px;
    background-color: var(--background-alpha-color);
    border: 1px solid var(--border-primary-color);
    padding: 4px;
    position: fixed;
    border-radius: var(--border-radius-default);
    bottom: 20px;
    width: 540px;
    left: 50%;
    transform: translateX(-50%);
    box-sizing: border-box;
    backdrop-filter: blur(16px);
    -webkit-backdrop-filter: blur(16px);
    -moz-backdrop-filter: blur(16px);
    transition: transform 0.25s ease-in-out;
    z-index: 10;
  }

  .item-menu-bar {
    display: flex;
    flex-direction: column;
    padding: 6px 4px;
    border-radius: var(--border-radius-small);
    color: var(--text-primary-color);
    gap: 4px;
    align-items: center;
    text-decoration: none;
    flex: 1;
    cursor: pointer;
    transition: 0.25s;
  }

  .item-menu-bar:active {
    box-shadow: inset 0 0 0 1px var(--content-primary-color);
  }

  .item-menu-bar:hover {
    color: var(--content-primary-color);
    box-shadow: inset 0 0 0 1px var(--border-secondary-color);
  }

  .avatar {
    width: 179px;
    height: 179px;
    border-radius: var(--border-radius-medium);
    background-image: url(placeholder-img.png);
  }

  .image-avatar {
    height: 179px;
    width: 179px;
    border-radius: var(--border-radius-medium);
    object-fit: cover;
    object-position: center;
  }

  .text-title {
    color: var(--text-primary-color);
    font-family: var(--font-family);
    font-size: var(--font-size-huge);
    font-style: normal;
    font-weight: var(--title-weight);
    line-height: 125%;
  }

  .text-paragraph {
    color: var(--text-primary-color);
    font-family: var(--font-family);
    font-size: var(--font-size-default);
    font-style: normal;
    font-weight: 400;
    line-height: 150%;
    text-wrap: pretty;
  }

  .text-section-title {
    color: var(--text-primary-color);
    font-family: var(--font-family);
    font-size: var(--font-size-xxlarge);
    font-style: normal;
    font-weight: var(--subtitle-weight);
    line-height: 125%;
  }

  #imageBanner {
    height: 200px;
    border-radius: var(--border-radius-default);
    background-image: url(placeholder-img.png);
  }

  #cover-video {
    display: flex;
    flex-direction: column;
    border-radius: var(--border-radius-default);
    background-color: var(--content-support-color);
    height: 200px;
  }

  #show-video {
    display: none;
    border-radius: var(--border-radius-default);
    background-color: #000000;

  }

  #playButton {
    display: flex;
    flex-direction: row;
    gap: 6px;
    font-size: var(--font-size-small);
    font-family: var(--font-family);
    font-weight: 600;
    line-height: 150%;
    cursor: pointer;
    color: var(--content-inverse-color);
    background-color: var(--content-primary-alpha-color);
    border: none;
    border-radius: var(--border-radius-pill);
    padding: 8px 16px 8px 10px;
    align-items: center;
    align-self: center;
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
    -moz-backdrop-filter: blur(8px);
    z-index: 2;
    margin-top: 80px;
  }

  #backgroundVideo {
    object-fit: cover;
    position: relative;
    width: 100%;
    height: 200px;
    border-radius: var(--border-radius-default);
    top: -120px;
  }

  #imageWorkSection {
    height: 200px;
    width: 100%;
    border-radius: var(--border-radius-default);
    object-fit: cover;
  }

  #items-work {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    gap: 24px;
    padding: 0px 20px;
  }

  .item1-work {
    display: flex;
    padding-bottom: 0px;
    padding-right: 24px;
    align-items: flex-start;
    align-self: stretch;
    gap: 16px;
    border-right: 1px solid;
    border-color: var(--border-tertiary-color);
    width: 100%;
  }

  .title-description-item-work {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 8px;
    flex: 1 0 0;
  }

  .item3-work {
    display: flex;
    padding-bottom: 0px;
    align-items: flex-start;
    align-self: stretch;
    gap: 16px;
    width: 100%;
  }

  #cardplus-section {
    display: flex;
  }

  .cardplus {
    display: flex;
    flex-direction: row;
    padding: 0px;
    transition: 250ms;
    cursor: pointer;
    background-color: var(--surface-primary-color);
    border-radius: 8px;
    margin: 0px 20px;
    min-height: 72px;
  }

  .cardplus:active {
    opacity: 0.85;
  }

  .illustration-cardplus {
    width: 80px; 
    border-radius: var(--border-radius-small);
    object-fit: cover;
    margin: 8px 0px 8px 8px;
    background-image: url(placeholder-img.png);
    max-height: 80px;
  }

  .cardplus-description {
    display: flex;
    flex-direction: row;
    border-radius: 0px 8px 8px 0px;
    flex-grow: 1;
    padding: 16px;
    align-items: center;
    gap: 12px;
    justify-content: space-between;
  }

  .modal {
    position: fixed;
    bottom: -100%; /* Inicialmente fora da tela */
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--background-color);
    display: flex;
    justify-content: center;
    align-items: center;
    transition: transform 0.5s ease-in-out;
    z-index: 1000;
  }
  
  .modal.show {
    transform: translateY(-100%); /* Entra na tela */
  }
  
  .modal.hide {
    transform: translateY(100%); /* Sai da tela */
  }
  
  /* Conteúdo da modal */
  .modal-content {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    align-self: stretch;
    padding: 48px 20px 0px 20px;
    gap: 24px;
    max-width: 640px;
  }

  .illustration-modal {
    object-fit: cover;
    height: 160px;
    width: 160px;
    border-radius: var(--border-radius-default);
    background-image: url(placeholder-img.png);
  }
  
  .close-btn {
    position: absolute;
    top: 20px;
    right: 20px;
    background-color: var(--surface-secondary-color);
    color: var(--content-primary-color);
    border: none;
    padding: 10.5px 12px;
    cursor: pointer;
    border-radius: var(--border-radius-pill);
    transition: 350ms;
  }

  .close-btn:hover {
    transform: rotate(90deg);
  }

  .cta-button {
    display: flex;
    padding: 12px 24px;
    align-items: center;
    align-self: stretch;
    gap: 16px;
    border-radius: var(--border-radius-pill);
    border: 1px solid;
    border-color: var(--content-primary-color);
    text-decoration: none;
    justify-content: space-between;
    color: var(--content-primary-color);
    font-family: var(--font-family);
    font-size: var(--font-size-default);
    font-style: normal;
    font-weight: 600;
    line-height: 150%;
    transition: 250ms;
    margin: 0px 20px;
  }

  #myservices {
    display: flex;
    flex-direction: column;
    gap: 32px;
    padding-bottom: 48px;
  }

  #aboutme-content-section {
    display: flex;
    flex-direction: column;
  }

  #subtitle-aboutme {
    display: flex;
    flex-direction: column;
    align-items: stretch;
    gap: 16px;
    padding: 0px;
  }

  #aboutme {
    display: flex;
    flex-direction: row-reverse;
    gap: 32px;
    padding: 0px 20px;
  }

  #image-gallery {
    display: flex;
    flex-direction: column;
  }

  .image-container img {
      width: 100%;
      height: 640px;
      border: none;
      border-radius: var(--border-radius-default);
      object-fit: cover;
      object-position: center;
      background-image: url(placeholder-img.png);
  }

  #card-instagram {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    align-self: stretch;
    width: 350px;
    flex: 1;
  }

  #titleAboutMeSection {
    display: none;
  }

  .text-caption {
    color: var(--text-secondary-color);
    font-family: var(--font-family);
    font-size: var(--font-size-xsmall);
    font-style: normal;
    font-weight: 600;
    line-height: 150%;
  }

  .text-paragraph-highlight {
    color: var(--text-primary-color);
    font-family: var(--font-family);
    font-size: var(--font-size-default);
    font-style: normal;
    font-weight: 600;
    line-height: 125%;
  }

  .image-instagram {
    height: 376px;
    width: 100%;
    border-radius: 8px 8px 0px 0px;
    object-fit: cover;
    object-position: top;
    background-image: url(placeholder-img.png);
  }

  #content-aboutme-highlights {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 24px;
    margin-bottom: 32px;
  }
    
  #testimonials-section {
    display: flex;
    padding: 0px;
    flex-direction: column;
    align-items: flex-start;
    gap: 16px;
    margin-top: 38px;
  }

  #calltoaction-banner {
    display: flex;
    padding: 32px;
    flex-direction: column;
    align-items: flex-start;
    gap: 24px;
    border-radius: var(--border-radius-large);
    margin: 40px 20px 48px 20px;
    background: linear-gradient(320deg, var(--gradient-color1), var(--gradient-color2));
    transition: transform 150ms ease;
  }
  
  #questions-section {
    display: flex;
    padding: 0px 20px;
    flex-direction: column;
    align-items: flex-start;
    gap: 16px;
    margin-bottom: 40px;
  }

  .text-display {
    color: var(--text-primary-color);
    font-family: var(--font-family);
    font-size: var(--font-size-display);
    font-style: normal;
    font-weight: 700;
    line-height: 115%;
  }

  .text-paragraph-large {
    color: var(--text-primary-color);
    font-family: var(--font-family);
    font-size: var(--font-size-xlarge);
    font-style: normal;
    font-weight: 500;
    line-height: 150%;
  }

  #footer-info {
    display: flex;
    padding: 0px 20px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 16px;
    margin-bottom: 94px;
  }

}

/* estilo dos textos */

.text-subtitle {
  color: var(--text-primary-color);
  font-family: var(--font-family);
  font-size: var(--font-size-default);
  font-style: normal;
  font-weight: 600;
  line-height: 125%;
  text-wrap: pretty;
}

.text-title-accordion {
  color: var(--text-primary-color);
  font-family: var(--font-family);
  font-size: var(--font-size-default);
  font-style: normal;
  font-weight: var(--title-weight);
  line-height: 150%;
}

.title-style3-flex {
  color: var(--text-primary-color);
  font-family: var(--font-family);
  font-size: var(--font-size-default);
  font-style: normal;
  font-weight: var(--title-weight);
  line-height: 150%;
  flex: 1 0 0;
}

.text-support-small {
  color: var(--text-secondary-color);
  font-family: var(--font-family);
  font-size: var(--font-size-small);
  font-style: normal;
  font-weight: 400;
  line-height: 150%;
  text-wrap: pretty;
}

.text-paragraph-small {
  color: var(--text-primary-color);
  font-family: var(--font-family);
  font-size: var(--font-size-small);
  font-style: normal;
  font-weight: 400;
  line-height: 150%;
  text-wrap: pretty;
}


/* specs dos containers */

#name-description {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 8px;
  align-self: stretch;
}

#name-tag {
  display: flex;
  align-items: center;
  gap: 4px;
}

#text-description-header {
  align-self: stretch;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: normal;
}

.tag-work {
  display: flex;
  padding: 1px 8px;
  justify-content: center;
  align-items: center;
  border-radius: var(--border-radius-small);
  border: 1px solid;
  border-color: var(--border-secondary-color);
  color: var(--text-secondary-color);
  font-family: var(--font-family);
  font-size: var(--font-size-xsmall);
  font-style: normal;
  font-weight: var(--title-weight);
  line-height: 150%;
  margin-left: 6px;
}

#area-buttons {
  display: flex;
  align-items: flex-start;
  gap: 10px;
}

#videoBanner {
  display: flex;
  flex-direction: column;
}

.sectiontitle-and-media {
  display: flex;
  flex-direction: column;
  align-items: stretch;
  gap: 16px;
  padding: 0px 20px;
}

.button-and-label {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 8px;
}

#videoCover {
    display: none;
    width: 100%;
    height: 100%;
    margin-top: 0px;
    border-radius: var(--border-radius-default);
    z-index: 10;
}

.primary-button {
  display: flex;
  padding: 12px 32px;
  justify-content: center;
  align-items: center;
  border-radius: var(--border-radius-pill);
  background-color: var(--content-primary-color);
  color: var(--content-inverse-color);
  font-family: var(--font-family);
  font-size: var(--font-size-small);
  font-style: normal;
  font-weight: 600;
  line-height: 145%;
  text-decoration: none;
  transition: 250ms;
}

.primary-button:hover {
  opacity: 0.8;
}

.label-buttons {
  color: var(--text-primary-color);
  font-family: var(--font-family);
  font-size: var(--font-size-caption);
  font-style: normal;
  font-weight: 600;
  line-height: 135%; /* 13.5px */
}

.secondary-button {
  display: flex;
  padding: 10px 24px;
  justify-content: center;
  align-items: center;
  border-radius: var(--border-radius-pill);
  background-color: var(--surface-secondary-color);
  color: var(--content-primary-color);
  font-family: var(--font-family);
  font-size: var(--font-size-small);
  font-style: normal;
  font-weight: 600;
  line-height: 145%;
  text-decoration: none;
  transition: 250ms;
}

.secondary-button:hover {
  opacity: 0.8;
}

.material-symbols-outlined {
  font-variation-settings:
  'FILL' 1,
  'wght' 400,
  'GRAD' 0,
  'opsz' 24
}

.framed-icon {
  display: flex;
  padding: 12px;
  align-items: flex-start;
  gap: 10px;
  background: var(--surface-primary-color);
  border-radius: var(--border-radius-default);
}

.cta-button:hover {
  opacity: 0.8;
}

.instagram-button {
  display: flex;
  padding: 12px 16px 12px 20px;
  align-items: center;
  gap: 16px;
  align-self: stretch;
  border-radius: 0px 0px 8px 8px;
  background-color: var(--content-primary-color);
  color: var(--content-inverse-color);
  font-family: var(--font-family);
  font-size: var(--font-size-small);
  font-style: normal;
  font-weight: 600;
  line-height: 150%;
  justify-content: space-between;
  text-decoration: none;
  transition: 250ms;
}

.instagram-button:hover {
  opacity: 0.8;
}

#texts-aboutme {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 8px;
  align-self: stretch;
}

#highlights-aboutme {
  display: flex;
  align-items: flex-start;
  gap: 8px;
  align-self: stretch;
}

.card-highlight {
  display: flex;
  padding: 10px 6px;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 0px;
  flex: 1 0 0;
  border-radius: var(--border-radius-default);
  background: var(--surface-primary-color);
}

/* inicio do CSS do accordion */

.content-accordion {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    border-radius: var(--border-radius-default);
    border: 1px solid;
    border-color: var(--border-primary-color);
    margin: 0px 0px 10px 0px;
    transition: 0.4s;
}

.content-accordion:hover {
  border: 1px solid;
  border-color: var(--content-primary-color);
}

.accordion {
  display: flex;
  background-color: transparent;
  color: var(--text-primary-color);
  cursor: pointer;
  padding: 16px;
  width: 100%;
  border: none;
  text-align: left;
  outline: none;
  border-radius: var(--border-radius-default);
  transition: 0.4s;
  justify-content: space-between;
  align-items: center;
}

.active, .accordion:hover {
  background-color: transparent;
}

.accordion:after {
  content: '\e5cf';
  color: var(--content-primary-color);
  font-weight: 700;
  float: right;
  margin-left: 16px;
  font-family: Material Symbols Outlined;
  font-size: 20px;
}

.panel {
  padding: 0px 16px;
  background-color: transparent;
  max-height: 0;
  overflow: hidden;
  border-radius: var(--border-radius-default);
  transition: max-height 0.2s ease-out;
}

.spacing16px {
  display: flex;
  height: 14px;
  font-size: var(--font-size-caption);
  width: 100%;
  background-color: #FFFFFF00;
}

/* Fim do accordion e inicio dos depoimentos */

.carousel {
  width: 100%;
}

.card-testimonial {
  display: flex;
  padding: 24px;
  flex-direction: column;
  align-items: flex-start;
  gap: 20px;
  border-radius: var(--border-radius-large);
  background: var(--surface-primary-color);
  margin: 0px 20px;
}

#areatext-testimonial {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 12px;
  align-self: stretch;
}

#persona-testimonial {
  display: flex;
  align-items: center;
  gap: 12px;
}

.avatar-testimonial {
  display: flex;
  padding: 8px;
  align-items: flex-start;
  border-radius: var(--border-radius-pill);
  background: var(--surface-secondary-color);
}

#name-persona-testimonial {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.text-label {
  color: var(--text-primary-color);
  font-family: var(--font-family);
  font-size: var(--font-size-small);
  font-style: normal;
  font-weight: 600;
  line-height: 150%;
}

.text-label-support {
  color: var(--text-secondary-color);
  font-family: var(--font-family);
  font-size: var(--font-size-xsmall);
  font-style: normal;
  font-weight: 400;
  line-height: 150%;
}

/* Inicio do cta banner */

.image-paperplane {
  height: 90px;
  border-radius: var(--border-radius-default);
  object-fit: cover;
}

#content-text-banner {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 12px;
  align-self: stretch;
}

/* Inicio da section de perguntas */

#content-question {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 0px;
  align-self: stretch;
}

.content-toggle {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  border-radius: 0px;
  border-top: 1px solid;
  border-bottom: 1px solid;
  border-color: var(--border-primary-color);
  transition: 0.4s;
  width: 100%;
}

.content-toggle:hover {
  border-top: 1px solid;
  border-bottom: 1px solid;
  border-color: var(--content-primary-color);
}

.content-toggle-2 {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  border-radius: 0px;
  border-top: 1px solid var(--background-color);
  border-bottom: 1px solid var(--border-primary-color);
  transition: 0.4s;
  width: 100%;
}

.content-toggle-2:hover {
  border-top: 1px solid;
  border-bottom: 1px solid;
  border-color: var(--content-primary-color);
}

.toggle {
  display: flex;
  background-color: transparent;
  color: var(--content-primary-color);
  cursor: pointer;
  padding: 16px 2px 16px 2px;
  width: 100%;
  border: none;
  text-align: left;
  outline: none;
  border-radius: var(--border-radius-default);
  transition: 0.4s;
  justify-content: space-between;
  align-items: center;
}

.active, .toggle:hover {
  background-color: transparent;
}

.toggle:after {
  content: '\e145';
  color: var(--content-primary-color);
  font-weight: 700;
  float: right;
  margin-left: 16px;
  font-family: Material Symbols Outlined;
  font-size: 20px;
}

.active:after {
  content: '\e15b';
}

.dropdowncontent {
  padding: 0px 2px;
  background-color: transparent;
  max-height: 0;
  overflow: hidden;
  border-radius: 0px;
  transition: max-height 0.2s ease-out;
}

#social-links {
  display: flex;
  padding: 0px 20px;
  flex-direction: column;
  align-items: flex-start;
  gap: 16px;
  margin-bottom: 40px;
}

#social-buttons {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 10px;
  align-self: stretch;
}

.socialmedia-button {
  display: flex;
  padding: 10px 12px;
  align-items: center;
  gap: 12px;
  align-self: stretch;
  border-radius: var(--border-radius-medium);
  background: var(--surface-primary-color);
  flex-direction: row;
  text-decoration: none;
  justify-content: space-between;
  transition: 0.4s;
}

.socialmedia-button:hover {
  opacity: 0.8;
}

.icon32px {
  width: 32px;
  height: 32px;
}

.icon16px {
  width: 16px;
  height: 16px;
}

.cta-socialbutton {
  display: flex;
  align-items: center;
  gap: 2px;
  color: var(--content-primary-color);
  font-family: var(--font-family);
  font-size: var(--font-size-caption);
  font-style: normal;
  font-weight: 700;
  line-height: 150%; /* 15px */
  text-transform: uppercase;
}

.footer-disclaimer {
  color: var(--text-primary-color);
  font-family: var(--font-family);
  font-size: 12px;
  font-style: normal;
  font-weight: 500;
  line-height: 150%;
}

.workspace-sign {
  color: var(--text-secondary-color);
  font-family: var(--font-family);
  font-size: 12px;
  font-style: normal;
  font-weight: 700;
  line-height: 175%;
}

.icon-area {
  display: flex;
  padding: 4px 4px;
  background-color: var(--surface-secondary-color);
  flex-direction: row;
  justify-content: center;
  align-items: center;
  border-radius: var(--border-radius-pill);
}

.gallery {
  text-align: center;
  margin: 40px 20px 12px 20px;
}

.image-container {
  width: 100%; /* Ajuste a largura conforme necessário */
  margin: 0 auto;
}

.controls {
  margin-top: 12px;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  border: 1px var(--border-primary-color) solid;
  padding: 8px 9px;
  border-radius: var(--border-radius-pill);
}

#imageIndicator {
  font-family: var(--font-family);
  color: var(--text-secondary-color);
  font-size: var(--font-size-small);
  font-weight: 500;
}

#prevButton {
  cursor: pointer;
  padding: 8px 24px 7px 20px;
  border-radius: var(--border-radius-pill);
  color: var(--content-primary-color);
  border: 1px var(--content-primary-color) solid;
  background-color: transparent;
}

#prevButton:disabled {
  opacity: 0.25;
  cursor: not-allowed;
}

#nextButton {
  cursor: pointer;
  border-radius: var(--border-radius-pill);
  padding: 8px 20px 7px 24px;
  color: var(--content-primary-color);
  border: 1px var(--content-primary-color) solid;
  background-color: transparent;
}

#nextButton:disabled {
  opacity: 0.25;
  cursor: not-allowed;
}

@keyframes fadein {
    0% {transform: scale(0.95) translateY(24px);}
    100% {transform: scale(1) translateY(0px);}
}

/* Estilo para navegadores baseados em Webkit (Chrome, Edge, Safari) */
::-webkit-scrollbar {
  width: 4px; /* Largura da barra de rolagem */
}

::-webkit-scrollbar-track {
  background: transparent; /* Fundo do trilho da barra de rolagem */
}

::-webkit-scrollbar-thumb {
  background-color: var(--content-support-color); /* Cor da barra de rolagem */
  border-radius: 12px; /* Border radius */
  border: 2px solid transparent; /* Espaço para destacar o arredondamento */
}

/* Para Firefox */
* {
  scrollbar-width: thin; /* Define a largura da barra como fina */
  scrollbar-color: var(--content-support-color) transparent; /* Cor da barra e do trilho */
}
